## org.apache.solr.client.solrj.request
Class CoreAdminRequest.RequestSyncShard

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.CoreAdminRequest
              org.apache.solr.client.solrj.request.CoreAdminRequest.RequestSyncShard

All Implemented Interfaces:
  Serializable

Enclosing class:
  CoreAdminRequest

    public static class CoreAdminRequest.RequestSyncShard

extends CoreAdminRequest

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`CoreAdminRequest.Create, CoreAdminRequest.MergeIndexes, CoreAdminRequest.Persist, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Field Summary

Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`action, core, isIndexInfoNeeded, other`

Constructor Summary
`CoreAdminRequest.RequestSyncShard()`

Method Summary
`String` `getCollection()`
`SolrParams` `getParams()`
`String` `getShard()`
`void` `setCollection(String collection)`
`void` `setShard(String shard)`

Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`createCore, createCore, createCore, getContentStreams, getStatus, mergeIndexes, persist, process, reloadCore, renameCore, setAction, setCoreName, setIndexInfoNeeded, setOtherCoreName, unloadCore, unloadCore`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreAdminRequest.RequestSyncShard

    public CoreAdminRequest.RequestSyncShard()

Method Detail

### getParams

    public SolrParams getParams()

  Overrides:
    `getParams` in class `CoreAdminRequest`

### getShard

    public String getShard()

### setShard

    public void setShard(String shard)

### getCollection

    public String getCollection()

### setCollection

    public void setCollection(String collection)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.